Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Auto_Command< T > Class Template Reference

`#include <EC_Lifetime_Utils_T.h>`

Inheritance diagram for TAO_EC_Auto_Command< T >:

[legend]
Collaboration diagram for TAO_EC_Auto_Command< T >:

[legend]
List of all members.

## Public Methods
| TAO_EC_Auto_Command (void)
| TAO_EC_Auto_Command (const T &command)
| ~TAO_EC_Auto_Command (void)
void | set_command (const T &command)
void | set_command (TAO_EC_Auto_Command< T > &auto_command)
void | execute (void)
void | allow_command (void)
void | disallow_command (void)
## Private Methods
| TAO_EC_Auto_Command (const TAO_EC_Auto_Command &)
TAO_EC_Auto_Command & | operator= (const TAO_EC_Auto_Command &)
## Private Attributes
T | command_
int | allow_command_

### template<class T>
class TAO_EC_Auto_Command< T >

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE TAO_EC_Auto_Command< T >::TAO_EC_Auto_Command | ( | void |  | ) |

template<class T>
ACE_INLINE TAO_EC_Auto_Command< T >::TAO_EC_Auto_Command | ( | const T & | command | ) |

template<class T>
ACE_INLINE TAO_EC_Auto_Command< T >::~TAO_EC_Auto_Command | ( | void |  | ) |

template<class T>
TAO_EC_Auto_Command< T >::TAO_EC_Auto_Command | ( | const TAO_EC_Auto_Command< T > & |  | ) | `[private]`

## Member Function Documentation

template<class T>
ACE_INLINE void TAO_EC_Auto_Command< T >::allow_command | ( | void |  | ) |

template<class T>
ACE_INLINE void TAO_EC_Auto_Command< T >::disallow_command | ( | void |  | ) |

template<class T>
ACE_INLINE void TAO_EC_Auto_Command< T >::execute | ( | void |  | ) |

template<class T>
TAO_EC_Auto_Command& TAO_EC_Auto_Command< T >::operator= | ( | const TAO_EC_Auto_Command< T > & |  | ) | `[private]`

template<class T>
ACE_INLINE void TAO_EC_Auto_Command< T >::set_command | ( | TAO_EC_Auto_Command< T > & | auto_command | ) |

template<class T>
ACE_INLINE void TAO_EC_Auto_Command< T >::set_command | ( | const T & | command | ) |

## Member Data Documentation

template<class T>
int TAO_EC_Auto_Command< T >::allow_command_`[private]`

template<class T>
T TAO_EC_Auto_Command< T >::command_`[private]`

The documentation for this class was generated from the following files:

- EC_Lifetime_Utils_T.h
- EC_Lifetime_Utils_T.i